For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Client Management

Manage API clients and credentials

get
Authorizations
Responses
200

API clients retrieved successfully

application/json
clientsobject · ApiClient[]Required
get/api-clients
200

API clients retrieved successfully

post
Authorizations
Body
object · CreateApiClientsRequestDtoOptional
Responses
201

API client created successfully

application/json
clientSecretstringRequired

The raw client secret (only shown once during creation)

messagestringRequired

Important message about storing the secret

post/api-clients
201

API client created successfully

delete
Authorizations
Path parameters
clientIdstringRequired
Responses
200

API client revoked successfully

application/json
messagestringRequired
delete/api-clients/{clientId}
200

API client revoked successfully

patch
Authorizations
Path parameters
clientIdstringRequired
Responses
200

Secret rotated successfully

application/json
clientIdstringRequired
clientSecretstringRequired
messagestringRequired
patch/api-clients/{clientId}/rotate-secret
200

Secret rotated successfully

Last updated

Was this helpful?